import { PluginObject } from "vue";
declare type NrdPluginOpts = {
    twprefix?: string;
    colors?: Partial<Colors>;
};
declare enum ColorNames {
    primary = 0,
    secondary = 1,
    textLight = 2,
    default = 3,
    success = 4,
    info = 5,
    error = 6,
    warning = 7
}
declare type ColorNameKeys = keyof typeof ColorNames;
declare type Colors = {
    [key in ColorNameKeys]: string;
};
declare const plugin: PluginObject<NrdPluginOpts>;
export default plugin;
